package com.template.model.seewo;

import java.util.*;
import com.seewo.open.sdk.OpenApiResult;
import com.seewo.open.sdk.HttpResponse;

/**
 * seewo-open API: 批量添加或更新老师
 *
 *
 * @author auto create
 * @since 2.0.1 2023-12-19
 */
public class TeacherServiceBatchSaveOrUpdateTeacherResult extends OpenApiResult {

    public TeacherServiceBatchSaveOrUpdateTeacherResult(HttpResponse response) {
        super(response);
    }


    /**
     * 响应体，MimeType为 application/json
     */

    private JSONResponseBody responseBody;


    public JSONResponseBody getResponseBody() {
        return this.responseBody;
    }

    public void setResponseBody(JSONResponseBody responseBody) {
        this.responseBody = responseBody;
    }

    public static class JSONResponseBody {
        /**
         *
         */
        private String code;
        /**
         *
         */
        private String message;
        /**
         *
         */
        private List<TeacherBaseInfoDto> data;

        public String getCode() {
            return this.code;
        }

        public void setCode(String code) {
            this.code = code;
        }

        public String getMessage() {
            return this.message;
        }

        public void setMessage(String message) {
            this.message = message;
        }

        public List<TeacherBaseInfoDto> getData() {
            return this.data;
        }

        public void setData(List<TeacherBaseInfoDto> data) {
            this.data = data;
        }

    }

    public static class TeacherBaseInfoDto {
        /**
         *  用户ID
         */
        private String uid;
        /**
         *  手机帐号
         */
        private String phone;
        /**
         *  教师工号
         */
        private String teacherCode;
        /**
         *  邮箱
         */
        private String email;
        /**
         *  1男，2女
         */
        private String gender;
        /**
         *  用户名
         */
        private String realName;

        public String getUid() {
            return this.uid;
        }

        public void setUid(String uid) {
            this.uid = uid;
        }

        public String getPhone() {
            return this.phone;
        }

        public void setPhone(String phone) {
            this.phone = phone;
        }

        public String getTeacherCode() {
            return this.teacherCode;
        }

        public void setTeacherCode(String teacherCode) {
            this.teacherCode = teacherCode;
        }

        public String getEmail() {
            return this.email;
        }

        public void setEmail(String email) {
            this.email = email;
        }

        public String getGender() {
            return this.gender;
        }

        public void setGender(String gender) {
            this.gender = gender;
        }

        public String getRealName() {
            return this.realName;
        }

        public void setRealName(String realName) {
            this.realName = realName;
        }

    }


}

